Results 1 to 10 of 13

Thread: Cannot install new program

Threaded View

  1. #1
    Join Date
    Sep 2020
    Beans
    6

    Cannot install new program

    Hi all,

    I am quite still quite new to Ubuntu, and having a dual boot system (Ubuntu 20.04 & Win 10), UEFI
    After around 2 months running on this set up, I cannot install using apt anymore.
    For example, when I try to install mkchromecast:

    Code:
    viet@viet-Vostro-15-3568:~$ sudo apt install mkchromecast
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following additional packages will be installed:
      ffmpeg flac javascript-common lame libavdevice58 libavresample4 libjs-jquery
      libnode64 libqt5designer5 libqt5help5 libqt5sql5 libqt5sql5-sqlite
      libqt5test5 libqt5xml5 libsox-fmt-alsa libsox-fmt-base libsox3 nodejs
      nodejs-doc opus-tools python3-flask python3-ifaddr python3-itsdangerous
      python3-jinja2 python3-markupsafe python3-nose python3-openssl
      python3-psutil python3-pychromecast python3-pyinotify python3-pyqt5
      python3-pyxattr python3-sip python3-werkzeug python3-zeroconf rtmpdump sox
      vorbis-tools youtube-dl
    Suggested packages:
      ffmpeg-doc lame-doc libsox-fmt-all libav-tools mkchromecast-pulseaudio
      mkchromecast-alsa npm python-flask-doc python-jinja2-doc python-nose-doc
      python-openssl-doc python3-openssl-dbg python-psutil-doc
      python-pyinotify-doc python3-pyqt5-dbg python3-pyxattr-dbg
      python-pyxattr-doc ipython3 python-werkzeug-doc python3-lxml
      python3-termcolor python3-watchdog libfribidi-bin | bidiv phantomjs
    The following packages will be REMOVED:
      linux-image-5.4.0-42-generic
    The following NEW packages will be installed:
      ffmpeg flac javascript-common lame libavdevice58 libavresample4 libjs-jquery
      libnode64 libqt5designer5 libqt5help5 libqt5sql5 libqt5sql5-sqlite
      libqt5test5 libqt5xml5 libsox-fmt-alsa libsox-fmt-base libsox3 mkchromecast
      nodejs nodejs-doc opus-tools python3-flask python3-ifaddr
      python3-itsdangerous python3-jinja2 python3-markupsafe python3-nose
      python3-openssl python3-psutil python3-pychromecast python3-pyinotify
      python3-pyqt5 python3-pyxattr python3-sip python3-werkzeug python3-zeroconf
      rtmpdump sox vorbis-tools youtube-dl
    0 upgraded, 40 newly installed, 1 to remove and 0 not upgraded.
    3 not fully installed or removed.
    Need to get 0 B/17.9 MB of archives.
    After this operation, 65.1 MB of additional disk space will be used.
    Do you want to continue? [Y/n] Y
    Extracting templates from packages: 100%
    (Reading database ... 221558 files and directories currently installed.)
    Removing linux-image-5.4.0-42-generic (5.4.0-42.46) ...
    /etc/kernel/postrm.d/initramfs-tools:
    update-initramfs: Deleting /boot/initrd.img-5.4.0-42-generic
    /etc/kernel/postrm.d/zz-update-grub:
    Sourcing file `/etc/default/grub'
    Generating grub configuration file ...
    Script `/boot/grub/grub.cfg.new' contains no commands and will do nothing
    Syntax errors are detected in generated GRUB config file.
    Ensure that there are no errors in /etc/default/grub
    and /etc/grub.d/* files or please file a bug report with
    /boot/grub/grub.cfg.new file attached.
    run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 1
    dpkg: error processing package linux-image-5.4.0-42-generic (--remove):
     installed linux-image-5.4.0-42-generic package post-removal script subprocess r
    eturned error exit status 1
    dpkg: too many errors, stopping
    Errors were encountered while processing:
     linux-image-5.4.0-42-generic
    Processing was halted because there were too many errors.
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    and when I try to re-configure dpkg, things not working:

    Code:
    viet@viet-Vostro-15-3568:~$ sudo dpkg --configure -a
    Setting up grub-pc (2.04-1ubuntu26.4) ...
    Sourcing file `/etc/default/grub'
    Generating grub configuration file ...
    Script `/boot/grub/grub.cfg.new' contains no commands and will do nothing
    Syntax errors are detected in generated GRUB config file.
    Ensure that there are no errors in /etc/default/grub
    and /etc/grub.d/* files or please file a bug report with
    /boot/grub/grub.cfg.new file attached.
    dpkg: error processing package grub-pc (--configure):
     installed grub-pc package post-installation script subprocess returned error exit status 1
    Setting up linux-image-5.4.0-48-generic (5.4.0-48.52) ...
    Processing triggers for linux-image-5.4.0-48-generic (5.4.0-48.52) ...
    /etc/kernel/postinst.d/initramfs-tools:
    update-initramfs: Generating /boot/initrd.img-5.4.0-48-generic
    /etc/kernel/postinst.d/zz-update-grub:
    Sourcing file `/etc/default/grub'
    Generating grub configuration file ...
    Script `/boot/grub/grub.cfg.new' contains no commands and will do nothing
    Syntax errors are detected in generated GRUB config file.
    Ensure that there are no errors in /etc/default/grub
    and /etc/grub.d/* files or please file a bug report with
    /boot/grub/grub.cfg.new file attached.
    run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
    dpkg: error processing package linux-image-5.4.0-48-generic (--configure):
     installed linux-image-5.4.0-48-generic package post-installation script subprocess returned error exit status 1
    Errors were encountered while processing:
     grub-pc
     linux-image-5.4.0-48-generic
    I guess that the issue is with my grub but I dont know how to fix it
    Can I please have some help. Thanks in advance.



    [UPDATED]: re-install ubuntu solved the issue
    Last edited by tomnguyen168; October 2nd, 2020 at 01:06 AM.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •